{% extends 'dashboard/base.html' %}

{% block styles %}
  {{super()}}
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
{% endblock %}
{% block scripts %}
  {{super()}}
  <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>
  <script>
    mentor_firs = JSON.parse("{{mentor.firs|safe}}".replace(/'/g, '\"'))
    mentor_tmas = JSON.parse("{{mentor.tmas|safe}}".replace(/'/g, '\"'))

    if(Number("{{mentor.limit|safe}}") == 2)
      document.getElementById('limit').selectedIndex = "0"
    else if(Number("{{mentor.limit|safe}}") == 3)
      document.getElementById('limit').selectedIndex = "1"
    else if(Number("{{mentor.limit|safe}}") == 4)
      document.getElementById('limit').selectedIndex = "2"
    else if(Number("{{mentor.limit|safe}}") == 5)
      document.getElementById('limit').selectedIndex = "3"
    else if(Number("{{mentor.limit|safe}}") == 7)
      document.getElementById('limit').selectedIndex = "4"

    mentor_firs.forEach(element => {
      document.getElementById('fir_' + element.toLowerCase()).checked = true
    });

    mentor_tmas.forEach(element => {
      document.getElementById('tma_' + element.toLowerCase()).checked = true
    });
  </script>
{% endblock %}

{% block page_content %}
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Edit Mentor - {{mentor.name}}</h1>
  </div>
  <div class="row">
    <div class="col-xl-12 col-lg-12">
      <div class="card shadow mb-12">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">

        </div>
        <div class="card-body">
          <form action="" method="post">
            {{ form.hidden_tag() }}
            <h5>Member</h5>
            <input class="form-control" value="{{mentor.cid}} - {{mentor.name}}" disabled></input>
            <br>
            <br>
            <h5>Limit</h5>
            {{ form.limit(class='form-control') }}
            <br>
            <h5>FIR</h5>
            <div class="form-check">
              <span style="margin-right: 25px;">
                {{ form.fir_lppo(class='form-check-input') }}
                {{ form.fir_lppo.label }}
              </span>
              <span style="margin-right: 25px;">
                {{ form.fir_lppc(class='form-check-input') }}
                {{ form.fir_lppc.label }}
              </span>
            </div>
            <br>
            <h5>TMA</h5>
            <div class="form-check">
              <span style="margin-right: 25px;">
                {{ form.tma_lppr(class='form-check-input') }}
                {{ form.tma_lppr.label }}
              </span>
              <span style="margin-right: 25px;">
                {{ form.tma_lppt(class='form-check-input') }}
                {{ form.tma_lppt.label }}
              </span>
              <span style="margin-right: 25px;">
                {{ form.tma_lpfr(class='form-check-input') }}
                {{ form.tma_lpfr.label }}
              </span>
              <span style="margin-right: 25px;">
                {{ form.tma_lpma(class='form-check-input') }}
                {{ form.tma_lpma.label }}
              </span>
              <span style="margin-right: 25px;">
                {{ form.tma_lppd(class='form-check-input') }}
                {{ form.tma_lppd.label }}
              </span>
              <span style="margin-right: 25px;">
                {{ form.tma_lpla(class='form-check-input') }}
                {{ form.tma_lpla.label }}
              </span>
              <span style="margin-right: 25px;">
                {{ form.tma_lphr(class='form-check-input') }}
                {{ form.tma_lphr.label }}
              </span>
            </div>
            <br>
            {{ form.submit(class='btn btn-success', style='float: right;') }}
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
